# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class LoggableOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              com.google.gdata.util.LoggableOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class LoggableOutputStream

extends java.io.FilterOutputStream

Logs content of the data sent to the stream if log level is set to FINEST.

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`LoggableOutputStream(java.util.logging.Logger logger, java.io.OutputStream stream)`

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggableOutputStream

    public LoggableOutputStream(java.util.logging.Logger logger,
                                java.io.OutputStream stream)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`